package com.ruoyi.model.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.model.mapper.IndexconfigIconMapper;
import com.ruoyi.model.domain.IndexconfigIcon;
import com.ruoyi.model.service.IIndexconfigIconService;

/**
 * 工作台图标Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-05
 */
@Service
public class IndexconfigIconServiceImpl implements IIndexconfigIconService 
{
    @Autowired
    private IndexconfigIconMapper indexconfigIconMapper;

    /**
     * 查询工作台图标
     * 
     * @param id 工作台图标主键
     * @return 工作台图标
     */
    @Override
    public IndexconfigIcon selectIndexconfigIconById(Long id)
    {
        return indexconfigIconMapper.selectIndexconfigIconById(id);
    }

    /**
     * 查询工作台图标列表
     * 
     * @param indexconfigIcon 工作台图标
     * @return 工作台图标
     */
    @Override
    public List<IndexconfigIcon> selectIndexconfigIconList(IndexconfigIcon indexconfigIcon)
    {
        return indexconfigIconMapper.selectIndexconfigIconList(indexconfigIcon);
    }

    /**
     * 新增工作台图标
     * 
     * @param indexconfigIcon 工作台图标
     * @return 结果
     */
    @Override
    public int insertIndexconfigIcon(IndexconfigIcon indexconfigIcon)
    {
        return indexconfigIconMapper.insertIndexconfigIcon(indexconfigIcon);
    }

    /**
     * 修改工作台图标
     * 
     * @param indexconfigIcon 工作台图标
     * @return 结果
     */
    @Override
    public int updateIndexconfigIcon(IndexconfigIcon indexconfigIcon)
    {
        return indexconfigIconMapper.updateIndexconfigIcon(indexconfigIcon);
    }

    /**
     * 批量删除工作台图标
     * 
     * @param ids 需要删除的工作台图标主键
     * @return 结果
     */
    @Override
    public int deleteIndexconfigIconByIds(Long[] ids)
    {
        return indexconfigIconMapper.deleteIndexconfigIconByIds(ids);
    }

    /**
     * 删除工作台图标信息
     * 
     * @param id 工作台图标主键
     * @return 结果
     */
    @Override
    public int deleteIndexconfigIconById(Long id)
    {
        return indexconfigIconMapper.deleteIndexconfigIconById(id);
    }

    @Override
    public IndexconfigIcon getIndexconfigIconByIdentity(Long identity) {
        return indexconfigIconMapper.getIndexconfigIconByIdentity(identity);
    }
}
